Subject: Re: [MIB-DOCTORS] Fwd: Re: Request for MIB review of draft-ietf-storm-iscsimib

From: Benoit Claise <[email-masked]>
Date: Tue, 16 Apr 2013 08:46:09 +0200

Dear all,

Mike MacFaden's feedback is

    http://macfaden.com/ietf/iscsi-mib-1-reviewed.txt
    http://macfaden.com/ietf/iscsi-mib-notes.txt
    http://macfaden.com/ietf/ietf-review-iscsi-mib-draft3.txt

Based on the last feedback, and comparing the diff between v3 and v4, 
all MIB doctors feedback has been taken into account. This concludes the 
MIB doctor review.

Many thanks to Mike for this time.

Regards, Benoit

> Hi Benoit,
>
> IIRC, the responsible MIB Doctor (Mike) was pinged back when the 
> changes were made to respond to his review (that would have been 
> before IETF Last Call) - FWIW, I don't recall a response.  Prakash was 
> asking whether someone (e.g., me ;-) ) ought to ping you and the MIB 
> Doctors as opposed to only assuming that you'd automatically pick up 
> on a new draft version.
>
> Anyhow, significant work was done on this draft prior to IETF Last 
> Call in response to the MIB Doctor review, and we do appreciate the 
> care and expertise that the MIB Doctors bring to MIB reviews.
>
> Thanks,
> --David (storm WG co-chair)
>
> *From:*Benoit Claise [mailto:[email-masked]]
> *Sent:* Monday, April 15, 2013 8:31 AM
> *To:* Prakash Venkatesen, ERS-HCLTech
> *Cc:* [email-masked]; Black, David; [email-masked]; Martin 
> Stiemerling; Michael MacFaden; me
> *Subject:* Re: [MIB-DOCTORS] Fwd: Re: Request for MIB review of 
> draft-ietf-storm-iscsimib
>
> Hi Prakash (Mike)
>
> If you don't copy me and (the mib-doctors), how could we know if the 
> MIB doctor review is complete?
> And no, I don't follow every single IETF mailing list...
>
> Mike, are you happy with the latest draft version, from a MIB doctor 
> point of view?
>
> Regards, Benoit
>
>     Hi Benoit,
>
>     I have already sent an email to Dan R. and he has indicated that
>     the v4 draft has addressed the Gen-ART review comments. Please
>     note the email thread in the link below:
>
>     http://www.ietf.org/mail-archive/web/storm/current/msg00715.html
>
>     Mike MacFaden is already included in my earlier reply mail; is
>     another email needed?
>
>     Since the v4 draft has been posted, I think it will go through a
>     check by MIB doctors. Should a new mail be sent to MIB doctors?
>
>     Cc'ing Mark, David and Tom for their comments.
>
>     thanks
>
>     Prakash
>
>     ------------------------------------------------------------------------
>
>     *From:*Benoit Claise [[email-masked] <mailto:[email-masked]>]
>     *Sent:* Monday, April 15, 2013 5:39 PM
>     *To:* Prakash Venkatesen, ERS-HCLTech; me
>     *Subject:* Re: [MIB-DOCTORS] Fwd: Re: Request for MIB review of
>     draft-ietf-storm-iscsimib
>
>     Prakash,
>
>     Please direct your email to Dan R. and Mike MacFaden, copying the
>     mib-doctors.
>     I want to get their green light first.
>
>     Regards, Benoit
>
>         Hi Benoit,
>
>         I dont think we received the first and second emails. We did
>         get the security considerations related comment during Gen-ART
>         review in another email from Dan. The latest version
>         draft-ietf-storm-iscsimib-04 should resolve all the issues.
>         Please let us know if you notice any new issue.
>
>         thanks
>
>         Prakash
>
>         ------------------------------------------------------------------------
>
>         *From:*Benoit Claise [[email-masked]
>         <mailto:[email-masked]>]
>         *Sent:* Tuesday, April 09, 2013 6:17 PM
>         *To:* [email-masked]
>         <mailto:[email-masked]>; me
>         *Cc:* Michael MacFaden; Martin Stiemerling
>         *Subject:* Re: [MIB-DOCTORS] Fwd: Re: Request for MIB review
>         of draft-ietf-storm-iscsimib
>
>         Dear authors,
>
>         I wonder if you ever received this second email, dated from
>         the same day?
>
>         Regards, Benoit
>
>             Hi Mike,
>
>             Did you also comment concerning the Security
>             Considerations section?
>
>             It seems that it is not updated according to the last
>             template version on the wiki as per
>             https://svn.tools.ietf.org/area/ops/trac/wiki/mib-security# <https://svn.tools.ietf.org/area/ops/trac/wiki/mib-security>
>             (the last but final paragraph and the corresponding
>             references).
>
>             I noticed this while performing the Gen-ART review of the
>             document.
>
>             Regards,
>
>             Dan
>
>             *From:[email-masked]
>             <mailto:[email-masked]>
>             [mailto:[email-masked]] *On Behalf Of
>             *Michael MacFaden
>             *Sent:* Monday, January 28, 2013 8:54 AM
>             *To:* Benoit Claise
>             *Cc:* MIB Doctors (E-mail)
>             *Subject:* Re: [MIB-DOCTORS] Fwd: Re: Request for MIB
>             review of draft-ietf-storm-iscsimib
>
>             -----BEGIN PGP SIGNED MESSAGE-----
>
>             Hash: SHA1
>
>             Hi Benoit,
>
>             I reviewed the current #3 draft at
>             https://datatracker.ietf.org/doc/draft-ietf-storm-iscsimib/
>
>             the nits checker had a few items to review:
>
>             http://tools.ietf.org/idnits?url=http://tools.ietf.org/id/draft-ietf-storm-iscsimib-03.tx
>
>             There exist editorial comments to clean up, some noted below
>
>             - -- <a
>             href="./draft-ietf-storm-iscsi-cons-03">draft-ietf-storm-iscsi-cons-03</a>
>             &amp; remove this note.
>
>             but otherwise looks good to me.
>
>             Tests performed:
>
>             prunus% smistrip draft-ietf-storm-iscsimib-03
>
>             smistrip draft-ietf-storm-iscsimib-03
>
>             ISCSI-MIB: 3761 lines.
>
>             prunus% smilint -l9 ISCSI-MIB
>
>             smilint -l9 ISCSI-MIB
>
>             prunus% smidump -f tree ISCSI-MIB
>
>             Compared output of smidump -f identifiers from 01 draft to
>             03, no changes.
>
>             Verified all nonscalars begin with iscsiInstIndex index as
>             described per section 4 (Relationship to SNMP Contexts)
>
>             Verified marker objects were deprecated as stated in
>             section 5.
>
>             Verified all three new objects added
>
>             iscsiInstXNodeArchitecture
>
>              iscsiSsnTaskReporting
>
>             iscsiSsnProtocolLevel
>
>             items resolved from last review.
>
>             - - 4. IANA Considerations - check
>
>             - - 8. Intellectual property section -check
>
>             Rest of issues I reported in prior review were resolved
>             previously on the list.
>
>             s/
>
>             Mike MacFaden
>
>             -----BEGIN PGP SIGNATURE-----
>
>             Version: GnuPG v1.4.6 (GNU/Linux)
>
>             iD8DBQFRBiAsxTVOqsYmDtERAn2VAKDN/uPXEyiz5tAjgozx98ovFDyIUQCg0kBB
>
>             eK3FpOr48h6yIl59BmoZtyo=
>
>             =UDYf
>
>             -----END PGP SIGNATURE-----
>
>
>
>         ::DISCLAIMER::
>         ----------------------------------------------------------------------------------------------------------------------------------------------------
>
>         The contents of this e-mail and any attachment(s) are
>         confidential and intended for the named recipient(s) only.
>         E-mail transmission is not guaranteed to be secure or
>         error-free as information could be intercepted, corrupted,
>         lost, destroyed, arrive late or incomplete, or may contain
>         viruses in transmission. The e mail and its contents
>         (with or without referred errors) shall therefore not attach
>         any liability on the originator or HCL or its affiliates.
>         Views or opinions, if any, presented in this email are solely
>         those of the author and may not necessarily reflect the
>         views or opinions of HCL or its affiliates. Any form of
>         reproduction, dissemination, copying, disclosure, modification,
>         distribution and / or publication of this message without the
>         prior written consent of authorized representative of
>         HCL is strictly prohibited. If you have received this email in
>         error please delete it and notify the sender immediately.
>         Before opening any email and/or attachments, please check them
>         for viruses and other defects.
>
>         ----------------------------------------------------------------------------------------------------------------------------------------------------
>